<template>
  <v-card>
    <v-btn
      @click="toggle"
      variant="outlined"
      :color="isOpen ? '#FF6D00' : '#00C853'"
      >{{ !isOpen ? "Open" : "Close" }}</v-btn
    >

    <v-form @submit.prevent="sendToDo" v-if="isOpen" style="width: 300px">
      <v-text-field v-model="messageToDo" autofocus label="To Do text">
        <template v-slot:append-inner>
          <v-btn
            @click="messageToDo = ''"
            size="small"
            color="deep-orange-darken-3"
            >clear</v-btn
          >
        </template></v-text-field
      >

      <v-btn
        type="submit"
        block
        :disabled="messageToDo.length === 0 ? true : false"
        :color="messageToDo.length === 0 ? '#757575' : '#00C853'"
        >Add</v-btn
      >
    </v-form>
  </v-card>
</template>
<script setup lang="ts">
import { ref } from "vue";

let isOpen = ref<boolean>(false);
let messageToDo = ref<string>("");

const toggle = () => {
  isOpen.value = !isOpen.value;
  messageToDo.value = "";
};

const sendToDo = (): void => {
  emit("addToDo", messageToDo.value);

  messageToDo.value = "";
};

const emit = defineEmits({
  addToDo: (message: string) => message,
});
</script>
<style></style>
